/*
 * This file is part of the sigrok-cli project.
 *
 * Copyright (C) 2019 Devan Lai <devan.lai@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdio.h>

#ifdef _WIN32
#include <io.h>
#include <fcntl.h>
#endif

#include <glib.h>
#include "sigrok-cli.h"

/* Disable newline translation on stdout when outputting binary data. */
int setup_binary_stdout(void)
{
#ifdef _WIN32
	int oldmode = _setmode(_fileno(stdout), _O_BINARY);
	if (oldmode == -1) {
		g_critical("Failed to set binary stdout mode: errno=%d", errno);
		return -1;
	}
#endif
	return 0;
}
